Summary:     The Enterprise Volume Management System (EVMS) for Linux
Name:        evms
Version:     2.3.4
Release:     5.pp
License:     GPL
Group:       Console/Drivers
Source0:     http://download.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:     %{name}-rc.sysinit.patch
Patch0:      http://%{name}.sourceforge.net/patches/2.3.4/engine/engine_expand.patch
Patch1:      http://%{name}.sourceforge.net/patches/2.3.4/engine/rename_new_volume.patch
Patch2:      http://%{name}.sourceforge.net/patches/2.3.4/engine/replace_top_objects.patch
Patch3:      http://%{name}.sourceforge.net/patches/2.3.4/engine/s390_options.patch
URL:         http://%{name}.sourceforge.net/
Buildroot:   /var/tmp/%{name}-root
Vendor:      IBM
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    kernel >= 2.4.26 kernel.dm kernel.evms glib ncurses
Requires:    readline e2fsprogs device-mapper
Conflicts:   lvm raidtools
Provides:    %{name}.pp
Prereq:      /bin/bash /bin/grep /usr/bin/patch /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: gtk+-devel glib-devel kernel-source >= 2.4.26
BuildPrereq: glibc-devel e2fsprogs-devel heartbeat >= 1.2.2
BuildPrereq: device-mapper-devel
BuildConflicts: %{name}-devel
ExclusiveOS: linux

%description
The Enterprise Volume Management System (EVMS) Project has
the goal of providing unparalleled flexibility and extensi-
bility in managing storage. It represents a new approach to
logical volume management, as the architecture introduces a
plug-in model that allows for easy expansion or customization
of various levels of volume management.

This package contains the userspace tools, libraries and the
text-mode GUI for evms. You need an evms-enabled kernel to use
EVMS.


%package devel
Summary:     Development tools for the EVMS
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%package ha
Summary:     The EVMS linux-ha support
Group:       Environment/Console
Requires:    %{name} = %{version}-%{release} %{name}.pp
Requires:    heartbeat >= 1.2.2
Provides:    %{name}-ccm.pp %{name}-ha.pp

%package gui
Summary:     The EVMS GTK GUI
Group:       Environment/Console
Requires:    %{name} = %{version}-%{release} %{name}.pp
Requires:    gtk+ XFree86-libs
Provides:    %{name}-gui.pp


%description devel
The %{name}-devel package contains the static libraries and
header files for developing software with EVMS.

%description ha
The %{name}-ha package contains the EVMS cluster control
manager and linux-ha support.

%description gui
The %{name}-gui package contains the EVMS gtk GUI.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
cp -f %{SOURCE1} .


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--mandir=/usr/share/man \
	--disable-s390          \
	--disable-rsct
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/etc/ha.d/resource.d
make DESTDIR=$RPM_BUILD_ROOT install


%post
/sbin/ldconfig
if grep /sbin/vgscan /etc/rc.sysinit > /dev/null 2>&1; then
   echo "Adding EVMS support to /etc/rc.sysinit ..."
   /usr/bin/patch -p0 -s < %{_defaultdocdir}/%{name}-%{version}/evms-rc.sysinit.patch
fi

%post ha
/sbin/ldconfig


%triggerin -- initscripts
if grep /sbin/vgscan /etc/rc.sysinit > /dev/null 2>&1; then
   echo "Adding EVMS support to /etc/rc.sysinit ..."
   /usr/bin/patch -p0 -s < %{_defaultdocdir}/%{name}-%{version}/evms-rc.sysinit.patch
fi


%preun
if [ $1 = 0 ] ; then
   if grep /sbin/evms_activate /etc/rc.sysinit > /dev/null 2>&1; then
      echo "Removing EVMS support from /etc/rc.sysinit ..."
      /usr/bin/patch -R -p0 -s < %{_defaultdocdir}/%{name}-%{version}/evms-rc.sysinit.patch
   fi
fi


%postun
/sbin/ldconfig

%postun ha
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL* PLUGIN* README TERMINOLOGY
%doc evms-rc.sysinit.patch
%config(noreplace) /etc/evms.conf
/etc/evms.conf.sample
/lib/*.so.*
%dir /lib/evms
%dir /lib/evms/%{version}
/lib/evms/%{version}/b*
/lib/evms/%{version}/c*
/lib/evms/%{version}/d*
/lib/evms/%{version}/e*
/lib/evms/%{version}/g*
/lib/evms/%{version}/j*
/lib/evms/%{version}/l*
/lib/evms/%{version}/m*
/lib/evms/%{version}/o*
/lib/evms/%{version}/r*
/lib/evms/%{version}/s*
/lib/evms/%{version}/x*
/usr/share/man/man8/*
/sbin/evms_*
/sbin/evmsd*
/sbin/evms
/sbin/evmsn

%files devel
%defattr(-,root,root)
/usr/include/*
/lib/*.*a
/lib/*.so

%files ha
%defattr(-,root,root)
%config /etc/ha.d/resource.d/*
/lib/evms/%{version}/ha*
/sbin/evmsccm

%files gui
%defattr(-,root,root)
/sbin/evmsgui


%changelog
* Wed Jul 07 2004 peter.pramberger@member.fsf.org
- new version 2.3.4
- now using heartbeat 1.2.2

* Sun May 16 2004 peter.pramberger@member.fsf.org
- new version 2.3.3

* Sun May 02 2004 peter.pramberger@member.fsf.org
- new version 2.3.2
- now using heartbeat 1.2.1

* Mon Feb 02 2004 peter.pramberger@member.fsf.org
- new version 2.2.2

* Thu Sep 18 2003 peter.pramberger@member.fsf.org
- new version 2.1.1
- added missing linux-ha script evms_failover

* Mon Aug 11 2003 peter.pramberger@member.fsf.org
- created

